<div class="table-toostrip">
    <div class="d-flex">
        <button class="btn-primary mr-2" (click)="openModal(content)">Nova doença</button>
        <button class="btn-primary mr-2" (click)="openReportModal(report)">Adicionar reporte</button>
    </div>

    <div class="filter-container m-0 form-group">
        <label class="m-0 mr-3 ml-3">Doença:</label>
        <input type="text" class="form-control" [(ngModel)]="filterValue">
        <button class="btn-primary ml-3 br-8" (click)="setFilter()">Buscar</button>
    </div>

    <div class="d-flex">
        <app-paginator [Request]="Request" [Response]="Response" (Refresh)="fetchDiseases()"></app-paginator>
    </div>
</div>
<table>
    <tr>
        <th>Ação</th>
        <th>Doença</th>
        <th>Taxa de letalidade(%)</th>
        <th>Taxa de transmissibilidade(%)</th>
    </tr>
    <tr *ngFor="let item of Diseases">
        <td>
            <button class="btn-primary" (click)="openModal(content,item)">Editar</button>
        </td>
        <td>{{item.name}}</td>
        <td>{{item.deathAverage}}</td>
        <td>{{item.transmissionRate}}</td>
    </tr>

</table>
<ng-template #content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">{{IsEditMode ? 'Atualizar Doença':'Cadastrar Doença'}}</h4>
        <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <form>
            <div class="form-group">
                <div class="form-group">
                    <label for="nome">Doença</label>
                    <input type="text" maxLength="500" class="form-control" name="name" [(ngModel)]="CurrentDisease.name" required>
                </div>
                <div class="form-group">
                    <label for="deathAverage">Letalidade(%)</label>
                    <input type="number" max="100" maxlength="3" class="form-control" name="deathAverage"
                        [(ngModel)]="CurrentDisease.deathAverage" >
                </div>
                <div class="form-group">
                    <label for="transmissionRate">transmissibilidade(%)</label>
                    <input type="number" max="100" maxlength="3" class="form-control" name="transmissionRate"
                        [(ngModel)]="CurrentDisease.transmissionRate">
                </div>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-dark" (click)="save()">Salvar</button>
    </div>
</ng-template>

<ng-template #report let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Adicionar Reporte</h4>
        <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <form #reportForm="ngForm">
            <div class="form-group">

                <div class="form-group">
                    <label for="nome">Doença</label>
                    <select class="form-control" name="rid_disease" id="rid_disease" [(ngModel)]="Report.disease.id">
                        <option [ngValue]="0" [disabled]="true">Selecione...</option>
                        <option *ngFor="let item of Diseases" value={{item.id}}>{{item.name}}</option>
                    </select>
                </div>
                <div class="separator">
                    <label>Infectado</label>
                </div>
                <div class="form-group">
                    <label for="infectado">Nome</label>
                    <input type="text" class="form-control" maxLength="60" name="infectado" [(ngModel)]="Report.infectedPerson.name"
                        required>
                </div>

                <div class="form-group">
                    <label for="cpf">CPF</label>
                    <input [mask]="'000.000.000-00'" class="form-control" name="cpf"
                        [(ngModel)]="Report.infectedPerson.uniqueDocument" required>
                </div>

                <div class="form-group">
                    <label for="id_district">Bairro</label>
                    <select class="form-control" name="id_Neighborhood" id="id_Neighborhood"
                        [(ngModel)]="Report.infectedPerson.address.id_Neighborhood">
                        <option value=0 [disabled]="true">Selecione...</option>
                        <option *ngFor="let item of Neighborhoods" value={{item.id}}>{{item.name}}</option>
                    </select>
                </div>

                <div class="separator">
                    <label>
                        Infecção
                    </label>
                </div>

                <div class="form-group">
                    <label for="infectionSeverity">Severidade da infecção</label>
                    <select class="form-control" name="infectionSeverity" required id="infectionSeverity"
                        [(ngModel)]="Report.listStatus[0].id">
                        <option [ngValue]="0" [disabled]="true">Selecione...</option>
                        <option value=1>Muito leve</option>
                        <option value=2>Leve</option>
                        <option value=3>Moderado</option>
                        <option value=4>Grave</option>
                        <option value=5>Muito Grave</option>
                    </select>
                </div>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-dark" [disabled]="!reportForm.valid"
            (click)="saveReport()">Salvar</button>
    </div>
</ng-template>